||
Skip to end of metadata
Go to start of metadata

Published: 8th November 2016


AFFECTED PRODUCTS 

WSO2 API Manager 2.0.0 
WSO2 APP Manager 1.2.0 
WSO2 Application Server 5.3.0 
WSO2 Business process Server 3.6.0 
WSO2 Business Rules Server 2.2.0 
WSO2 Dashboard Server 2.0.0 
WSO2 Enterprise Mobility Manager 2.0.1
WSO2 Enterprise Service Bus 5.0.0 
WSO2 Enterprise Store 2.1.0 
WSO2 Governance Registry 5.3.0 
WSO2 Message Broker 3.1.0


OVERVIEW

H2 database versions shipped with WSO2 products have known security vulnerabilities.

  

DESCRIPTION

According to http://www.securityfocus.com/bid/58536/info, H2 database versions prior to 1.3.171 are vulnerable to Remote Security Bypass Vulnerability.

  

IMPACT

An attacker can exploit this vulnerability to bypass certain security restrictions and gain unauthorized access to the application, which may lead to further attacks. 

SOLUTION

This advisory upgrades the H2 database version to 1.3.175.

For WSO2 Update Manager (WUM) Supported Products

Please use WUM to update the following products.


Code

Product

Version

AM

WSO2 API Manager

2.0.0

ESB

WSO2 Enterprise Service Bus

5.0.0


NOTE : If you are still not using WUM, for WSO2 Enterprise Service Bus (ESB) 4.9.0, you can also manually apply the particular patch referring the section below.

 

For Other Products

Apply the following patches based on your product version by following the instructions in the README file. If you have any questions, post them to [email protected].

Please download the relevant patches based on the products you use following the matrix below. Patches can also be downloaded from http://wso2.com/security-patch-releases/.

 


Code

Product

Version

Patch

APPM

WSO2 App Manager

1.2.0

WSO2-CARBON-PATCH-4.4.0-0463

AS

WSO2 Application Server

5.3.0

WSO2-CARBON-PATCH-4.4.0-0463

BPS

WSO2 Business Process Server

3.6.0

WSO2-CARBON-PATCH-4.4.0-0463

BRS

WSO2 Business Rules Server

2.2.0

WSO2-CARBON-PATCH-4.4.0-0463

DS

WSO2 Dashboard Server

2.0.0

WSO2-CARBON-PATCH-4.4.0-0463

EMM

WSO2 Enterprise Mobility Manager

2.0.1

WSO2-CARBON-PATCH-4.4.0-0463

ES

WSO2 Enterprise Store

2.1.0

WSO2-CARBON-PATCH-4.4.0-0463

GREG

WSO2 Governance Registry

5.3.0

WSO2-CARBON-PATCH-4.4.0-0463

MB

WSO2 Message Broker

3.1.0

WSO2-CARBON-PATCH-4.4.0-0463


NOTES

If you are using newer versions of the products than the ones mentioned in the “SOLUTION” section, this vulnerability is fixed. 

  

Thanks,

WSO2 Team.

  • No labels